SimpleConfigurationBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.config.builders.SimpleConfigurationBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.builders
Class SimpleConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.builders.SimpleConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

    public class SimpleConfigurationBuilder

extends AbstractConfigurationBuilder

This simple ConfgurationBuilder implementation. This is useful for registering any Map of objects with the `Registry` via the `ConfigurationBuilder` interface. This is useful for example for the registration of "startup properties" which are provided at startup and then used to fill "property placeholders" in other configuration mechanisms such as XML.

Field Summary
`protected Map` | `objects`

Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`logger`

Constructor Summary
`SimpleConfigurationBuilder(Map objects)`

Method Summary
`protected void` | `applyLifecycle(LifecycleManager lifecycleManager)`
`protected void` | `doConfigure(MuleContext muleContext)`

Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`configure, isConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objects

    protected Map objects

Constructor Detail

### SimpleConfigurationBuilder

    public SimpleConfigurationBuilder(Map objects)

Method Detail

### doConfigure

    protected void doConfigure(MuleContext muleContext)
                        throws Exception

  Specified by:
    `doConfigure` in class `AbstractConfigurationBuilder`
  Throws:
    `Exception`

### applyLifecycle

    protected void applyLifecycle(LifecycleManager lifecycleManager)
                           throws Exception

  Specified by:
    `applyLifecycle` in class `AbstractConfigurationBuilder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.